aboutsummaryrefslogtreecommitdiffstats
path: root/main/libnetfilter_log/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/libnetfilter_log/APKBUILD')
-rw-r--r--main/libnetfilter_log/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/libnetfilter_log/APKBUILD b/main/libnetfilter_log/APKBUILD
new file mode 100644
index 0000000000..5c427c9a0e
--- /dev/null
+++ b/main/libnetfilter_log/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=libnetfilter_log
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="interface to packets that have been logged by the kernel packet filter"
+url="http://www.netfilter.org/projects/libnetfilter_log/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="libnfnetlink-dev pkgconfig"
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/$pkgname/files/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+md5sums="2a4bb0654ae675a52d2e8d1c06090b94 libnetfilter_log-1.0.1.tar.bz2"